> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get activity history for a specific Bitcoin inscription including transfers, sales, and ownership changes.

# Activity by Inscription



## OpenAPI

````yaml bitcoin/blockchain-indexer-api/openapi.json get /assets/inscriptions/{inscription_id}/activity
openapi: 3.0.3
info:
  title: Bitcoin - Blockchain Indexer API
  description: >-
    This API provides core indexer endpoints with support for Bitcoin
    metaprotocols by delivering real-time, rollback-protected access to
    Bitcoin's UTXO data, enabling developers to build responsive and reliable
    blockchain applications without managing complex infrastructure.


    #### Key Features:

    - **Real-Time Data with Rollback Protection:** Ensures data accuracy by
    handling chain reorganizations gracefully, providing live data without
    sacrificing integrity.

    - **Comprehensive UTXO Indexing:** Specialized pipelines extract, match, and
    process on-chain information, including handling rollbacks, to provide
    accurate and up-to-date data.


    #### Key Benefits for Developers:

    By abstracting the complexities of blockchain data retrieval and processing,
    Maestro's Bitcoin Indexer API empowers developers to focus on building
    innovative applications with confidence in fast and reliable access to
    historical chain data.
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v0.2.0
servers:
  - url: https://xbt-mainnet.gomaestro-api.org/v0
    description: Bitcoin Mainnet
  - url: https://xbt-testnet.gomaestro-api.org/v0
    description: Bitcoin Testnet
security:
  - api-key: []
paths:
  /assets/inscriptions/{inscription_id}/activity:
    get:
      tags:
        - Inscriptions
      summary: Activity by Inscription
      description: >-
        Lists all transactions that have involved the given inscription,
        starting from its origin (reveal transaction) and including all
        transfers.
      operationId: activity_by_inscription
      parameters:
        - name: inscription_id
          in: path
          description: Inscription ID
          required: true
          schema:
            type: string
          example: 6fb976ab49dcec017f1e201e84395983204ae1a7c2abf7ced0a85d692e442799i0
        - name: count
          in: query
          description: The max number of transactions per page
          required: false
          schema:
            allOf:
              - type: integer
                default: 100
                minimum: 0
            nullable: true
        - name: order
          in: query
          description: >-
            The order in which the results are sorted (by block height and tx
            index in the block)
          required: false
          schema:
            allOf:
              - type: string
                default: asc
                enum:
                  - asc
                  - desc
            nullable: true
        - name: cursor
          in: query
          description: >-
            Pagination cursor string, use the cursor included in a page of
            results to fetch the next page
          required: false
          schema:
            type: string
            nullable: true
      responses:
        '200':
          description: Requested data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedTxByInscription'
              example:
                data:
                  - from:
                      address: >-
                        bc1pjzf5qmmzt57mtxgrgh42aazhnzwk7ge59e89dl6rde5zwg8he02q9u4xrr
                      input_index: 0
                      sat_offset: 0
                      script_pubkey: >-
                        51209093406f625d3db5990345eaaef457989d6f23342e4e56ff436e682720f7cbd4
                    height: 839418
                    to:
                      address: >-
                        bc1p5u4y8vdhn46adxhfv5scfv4c8myykw6r5uyzlavm42k4wgjewktq7xqcyr
                      output_vout: 0
                      sat_offset: 0
                      script_pubkey: >-
                        5120a72a43b1b79d75d69ae9652184b2b83ec84b3b43a7082ff59baaad5722597596
                    tx_hash: >-
                      b1ef66c2d1a047cbaa6260b74daac43813924378fe08ef8545da4cb79e8fcf00
                    tx_index: 1257
                    type: transfer
                  - from:
                      address: >-
                        bc1p5u4y8vdhn46adxhfv5scfv4c8myykw6r5uyzlavm42k4wgjewktq7xqcyr
                      input_index: 0
                      sat_offset: 0
                      script_pubkey: >-
                        5120a72a43b1b79d75d69ae9652184b2b83ec84b3b43a7082ff59baaad5722597596
                    height: 839876
                    to:
                      address: >-
                        bc1ppth27qnr74qhusy9pmcyeaelgvsfky6qzquv9nf56gqmte59vfhqwkqguh
                      output_vout: 0
                      sat_offset: 0
                      script_pubkey: >-
                        51200aeeaf0263f5417e40850ef04cf73f43209b13401038c2cd34d201b5e685626e
                    tx_hash: >-
                      47c7260764af2ee17aa584d9c035f2e5429aefd96b8016cfe0e3f0bcf04869a3
                    tx_index: 887
                    type: transfer
                last_updated:
                  block_hash: >-
                    000000000000000000001d3fb5743dcb30e12af7b0cd9c8d95c8b1a1fdd5c8d8
                  block_height: 839908
                next_cursor: null
        '400':
          description: Malformed query parameters
        '404':
          description: Requested entity not found on-chain
        '500':
          description: Internal server error
components:
  schemas:
    PaginatedTxByInscription:
      type: object
      required:
        - data
        - last_updated
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/TxByInscription'
        last_updated:
          $ref: '#/components/schemas/ChainTip'
        next_cursor:
          type: string
          nullable: true
    TxByInscription:
      type: object
      required:
        - height
        - tx_index
        - tx_hash
        - type
        - to
      properties:
        from:
          allOf:
            - $ref: '#/components/schemas/FromInscriptionLocation'
          nullable: true
        height:
          type: integer
          format: int64
          description: >-
            Height of block containing transaction that the inscription took
            part in.
          minimum: 0
        to:
          $ref: '#/components/schemas/ToInscriptionLocation'
        tx_hash:
          type: string
          description: Transaction hash.
        tx_index:
          type: integer
          format: int32
          description: Index of transaction (in block) that the inscription took part in.
          minimum: 0
        type:
          $ref: '#/components/schemas/InscriptionTxKind'
    ChainTip:
      type: object
      required:
        - block_hash
        - block_height
      properties:
        block_hash:
          type: string
          description: The hash of the block
          example: 0000000000000000000a7f3b7b6b6e1d9a18db65a3b4a3f4f3bcb2e1f1b2d3e7
        block_height:
          type: integer
          format: int64
          description: The height of the block in the blockchain
          example: 707000
          minimum: 0
    FromInscriptionLocation:
      type: object
      required:
        - script_pubkey
        - input_index
        - sat_offset
      properties:
        address:
          type: string
          description: >-
            Address-encoding of the script pubkey at which the input containing
            the inscription resides.
          nullable: true
        input_index:
          type: integer
          format: int32
          description: Index of the input containing the inscription.
          minimum: 0
        sat_offset:
          type: integer
          format: int64
          description: Offset of the inscribed satoshi within the input.
          minimum: 0
        script_pubkey:
          type: string
          description: Script pubkey at which the input containing the inscription resides.
    ToInscriptionLocation:
      type: object
      required:
        - script_pubkey
        - output_vout
        - sat_offset
        - output_txid
      properties:
        address:
          type: string
          description: >-
            Address-encoding of the script pubkey at which the output containing
            the inscription resides.
          nullable: true
        output_txid:
          type: string
          description: >-
            Hash of tx producing the output containing the inscription. If this
            is the hash of the coinbase tx of the block, then the inscription
            was spent as fee in a tx in the block and therefore sent to the
            output of the coinbase tx controlled by the block miner.
        output_vout:
          type: integer
          format: int32
          description: Index of the output containing the inscription.
          minimum: 0
        sat_offset:
          type: integer
          format: int64
          description: Offset of the inscribed satoshi within the output.
          minimum: 0
        script_pubkey:
          type: string
          description: >-
            Script pubkey at which the output containing the inscription
            resides.
    InscriptionTxKind:
      type: string
      enum:
        - inscribe
        - transfer
        - inscribe_and_spent_as_fee
        - spent_as_fee
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````